Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fleetId
string
required
Minimum string length: 1
Example:

"fleet_abc123"

Body

application/json
auth
NoToolSourceAuth · object
required

Tool source authentication configuration. The kind field selects one of none, api_key, oauth_exchange, or oauth_connection.

Example:
namespace
string
required
Example:

"docs"

tools
object[]
required
type
enum<string>
required
Available options:
http
approval
enum<string>
Available options:
always,
never
enabled
boolean
execution
object

HTTP tool execution retry and timeout policy.

Example:
{key}
any

Response

Tool source created.

auth
NoToolSourceAuth · object
required

Tool source authentication configuration. The kind field selects one of none, api_key, oauth_exchange, or oauth_connection.

Example:
createdAt
string
required
enabled
boolean
required
fleetId
string
required
id
string
required
namespace
string
required
updatedAt
string
required
version
number
required
tools
object[]
required
type
enum<string>
required
Available options:
http
approval
enum<string>
Available options:
always,
never
execution
object

HTTP tool execution retry and timeout policy.

Example: